# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.87"
name = "rlsp-yaml"
version = "0.4.0"
authors = ["Christoph Dalski"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A fast, lightweight YAML language server"
homepage = "https://github.com/chdalski/rlsp"
readme = "README.md"
keywords = [
    "yaml",
    "lsp",
    "language-server",
]
categories = [
    "development-tools",
    "text-editors",
]
license = "MIT"
repository = "https://github.com/chdalski/rlsp"
resolver = "2"

[lib]
name = "rlsp_yaml"
path = "src/lib.rs"

[[bin]]
name = "rlsp-yaml"
path = "src/main.rs"

[[test]]
name = "lsp_lifecycle"
path = "tests/lsp_lifecycle.rs"

[dependencies.data-encoding]
version = "2.9"

[dependencies.idna]
version = "1.0"

[dependencies.iri-string]
version = "0.7"

[dependencies.once_cell]
version = "1"

[dependencies.regex]
version = "1"

[dependencies.rlsp-fmt]
version = "0.1.3"

[dependencies.saphyr]
version = "0.0.6"

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"

[dependencies.tokio]
version = "1"
features = ["full"]

[dependencies.tower-lsp]
version = "0.20"
features = ["proposed"]

[dependencies.ureq]
version = "3"
features = ["rustls"]

[dev-dependencies.futures]
version = "0.3"

[dev-dependencies.tiny_http]
version = "0.12"

[dev-dependencies.tower]
version = "0.5"

[lints.clippy]
fallible_impl_from = "deny"
fn_params_excessive_bools = "deny"
indexing_slicing = "deny"
must_use_candidate = "deny"
unneeded_field_pattern = "deny"
wildcard_enum_match_arm = "deny"

[lints.clippy.all]
level = "warn"
priority = -1

[lints.clippy.nursery]
level = "warn"
priority = -1

[lints.clippy.pedantic]
level = "warn"
priority = -1

[lints.rust]
warnings = "deny"
